Bug 763858 - (GLUSTER-2126) Getting performance stats needs to be easier
Getting performance stats needs to be easier
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1.1
All Windows
low Severity low
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 10:37 EST by Jacob Shucart
Modified: 2013-06-20 02:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 02:12:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jacob Shucart 2010-11-17 10:37:34 EST
I asked Anand Avati about the Gluster volume set options:

diagnostics.latency-measurement and diagnostics.dump-fd-stats

I wanted to know how you can get the information from these and his response was to set an extended attribute:

Those are options to enable FOP latency measurement. To use it, you need to turn on the respective option and run 'setfattr -n io-stats-dump /tmp/filename /mnt/gluster' to get the output dumped to that file. You will also see the values in the brick log files and mountpoint log file.

Whenever possible, I think we should get users away from running commands outside of Gluster to use Gluster functionality.  Can we add another set option like:

diagnostics.io-stats-dump-file        (path to file)

This should accomplish what the setfattr command does.
Comment 1 Craig Carl 2010-11-18 19:24:06 EST
If we make changes to this process I want to make sure we dump the file somewhere other than the Gluster log file, I would like to add a -format option if a user wants csv or XML output. I don't think we should overwrite existing files generated by this process some maybe the filename should include a datetime stamp?

Craig
Comment 2 Pranith Kumar K 2010-11-26 18:28:03 EST
(In reply to comment #0)
> I asked Anand Avati about the Gluster volume set options:
> 
> diagnostics.latency-measurement and diagnostics.dump-fd-stats
> 
> I wanted to know how you can get the information from these and his response
> was to set an extended attribute:
> 
> Those are options to enable FOP latency measurement. To use it, you need to
> turn on the respective option and run 'setfattr -n io-stats-dump /tmp/filename
> /mnt/gluster' to get the output dumped to that file. You will also see the
> values in the brick log files and mountpoint log file.
> 
> Whenever possible, I think we should get users away from running commands
> outside of Gluster to use Gluster functionality.  Can we add another set option
> like:
> 
> diagnostics.io-stats-dump-file        (path to file)
> 
> This should accomplish what the setfattr command does.

We are implementing a gluster cli to dump the contents as output in the shell as part of 1965. Will you still want this option?.

Pranith.
Comment 3 Craig Carl 2010-11-27 23:04:12 EST
We want a way to get statistics using the Gluster cli, the exact details are up to you. There should be a way to output the statistics in a human readable format, as well as a easy to parse machine format. (example -  `tcpdump -d`)
Comment 4 Jacob Shucart 2010-11-29 07:55:59 EST
If it can be gathered from the CLI then that is good enough for me.
Comment 5 Pranith Kumar K 2011-04-11 01:53:12 EDT
(In reply to comment #3)
> We want a way to get statistics using the Gluster cli, the exact details are up
> to you. There should be a way to output the statistics in a human readable
> format, as well as a easy to parse machine format. (example -  `tcpdump -d`)

Craig,
     We have provided the 'gluster volume profile <volname> info' command to get the output in human readable format. None of the info commands (volume info, peer status etc) till now has the easy to parse machine format. Could you please let me know the need to consider this special.

Pranith
Comment 6 Vijay Bellur 2011-06-28 04:30:27 EDT
Pranith,

Any reason why this is open now?
Comment 7 Pranith Kumar K 2011-09-19 09:12:55 EDT
(In reply to comment #6)
> Pranith,
> 
> Any reason why this is open now?

Vijay,
    For some reason XML output was requested. Craig did not get a chance to get back to me on my query, shall I close it for now? We can re-open it if someone brings this up again.

Pranith
Comment 8 Amar Tumballi 2011-09-27 01:50:19 EDT
Planing to keep 3.4.x branch as "internal enhancements" release without any features. So moving these bugs to 3.4.0 target milestone.
Comment 9 Amar Tumballi 2011-09-30 02:37:48 EDT
Jacob,

Do you think 'gluster volume profile <VOL> info' is not enough ? To give the output of these commands in XML, we may have to wait till 3.4.x IMO.
Comment 10 Kaushal 2012-06-11 08:06:05 EDT
If all that this bug requires to be closed is xml output for profile, then it can be closed. Output in xml was introduced as a part of changes required for the Gluster Management Console.
Comment 11 Kaushal 2013-06-20 02:12:18 EDT
With glusterfs >= v3.3, performance statistics of a gluster volume can be obtained using the 'gluster volume profile' command. By using the '--xml' flag, the stats can be obtained in xml as well.

Closing the bug as all the requirements specified in the bug report and later comments have been satisfied.

Note You need to log in before you can comment on or make changes to this bug.